.index-box {
  position: relative;
  background-color: #fff;
}

.index-box .index-message {
  position: fixed;
  padding: 0.2rem 0.32rem;
  top: 10%;
  min-width: 2.4rem;
  max-width: 70%;
  color: #FFFFFF;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 999;
  text-align: center;
  transform: translateX(-50%);
  left: 50%;
  font-size: 14px;
  transition: all 0.5s;
  opacity: 0;
  border-radius: 8px;
}

.index-box .index-message2 {
  position: fixed;
  padding: 0.2rem 0.32rem;
  top: 10%;
  min-width: 2.4rem;
  max-width: 70%;
  color: #FFFFFF;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 999;
  text-align: center;
  transform: translateX(-50%);
  left: 50%;
  font-size: 14px;
  transition: all 0.5s;
  opacity: 0;
  border-radius: 8px;
}

/* 头部 */
.index-header {
  margin-bottom: 0.53973333rem;
  height: 7.9552rem;
  background-color: #d9d9d9;
}

/* 背景 */
.index-header .bg {
  height: 100%;
}

.index-header .header-img {
  width: 100%;
  height: 100%;
}

/* 顶部 */
.index-nav {
  position: fixed;
  max-width: inherit;
  width: 100%;
  height: 1.03253333rem;
  top: 0;
  transition: all 0.5s;
}

.index-nav ul {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: space-between;
}

.index-nav ul li {
  width: 2.816rem;
  height: 1.03253333rem;
  background-color: inherit;
  line-height: 1.03253333rem;
}

.index-nav ul li img {
  margin-top: 0.3168rem;
  margin-left: 0.39893333rem;
  width: 0.39893333rem;
  height: 0.39893333rem;
}

.index-nav ul li div {
  width: 100%;
  height: 0.39893333rem;
  color: #FFFFFF;
  font-family: HarmonyOS Sans SC;
  font-size: 0.46933333rem;
  line-height: 1.03253333rem;
  letter-spacing: 0px;
  text-align: center;
  transition: all 0.5s;
}

.index-main {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  /* min-height: 8.9rem; */
  border-radius: 0.39893333rem;
  transform: translateY(-1rem);
  padding-top: 0.53973333rem;
  background-color: #fff;
  height: calc(100vh - 7.9552rem);
}

.index-main .index-content {
  height: auto !important;
  display: flex;
  align-items: center;
  justify-content: center;
}

.index-main .index-content ul {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-row-gap: 0.23466667rem;
  grid-column-gap: 0.214667rem;
  justify-items: center;
  align-items: center;
  padding: 0px 15px;
}

.index-main .index-content ul li {
  border-radius: 0.18773333rem;
  display: flex;
  align-items: center;
  justify-content: center;
  justify-items: center;
  padding: 10px 22px;
}

.index-main .index-content ul li a {
  display: flex;
}

.index-main .index-content ul li img {
  width: 1.1264rem;
  height: 1.1264rem;
  margin-right: 10px;
}

.index-main .index-content ul li div {
  min-width: auto;
  height: 1.1264rem;
  line-height: 1.1264rem;
  color: #333333;
  font-family: HarmonyOS Sans SC;
  font-weight: regular;
  font-size: 0.32853333rem;
  white-space: nowrap;
}

.index-main .bottom {
  width: 100%;
  padding-bottom: 1rem;
}

.index-main .bottom .text {
  width: 7.97866667rem;
  margin: 0 auto;
  margin-bottom: 0.30506667rem;
  color: #888888;
  font-family: HarmonyOS Sans SC;
  font-weight: regular;
  font-size: 0.25813333rem;
  line-height: normal;
  letter-spacing: 0px;
  text-align: center;
}

.index-footer {
  position: fixed;
  width: 100%;
  max-width: inherit;
  height: auto;
  bottom: 0;
  background: #FFFFFF;
  border-top: 1px solid #E8E8E8;
}

.index-footer ul {
  display: flex;
  width: 100%;
}

.index-footer ul li {
  width: 33.3333%;
  margin: 0.30506667rem 0px;
  text-align: center;
}

.index-footer ul li img {
  width: 0.5632rem;
  height: 0.5632rem;
  margin-bottom: 0.1rem;
}

.index-footer ul li div {
  color: #999999;
  font-family: HarmonyOS Sans SC;
  font-weight: medium;
  font-size: 0.23466667rem;
  line-height: normal;
  letter-spacing: 0px;
  text-align: center;
}

.index-footer ul li .active {
  color: #0170CE;
}

/* 弹窗容器 */
.modal-overlay {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.5rem;
  background: rgba(0, 0, 0, 0.6);
  height: 100vh;
  width: 100vw;
  position: fixed;
}

/* 弹窗主体 */
.modal {
  background-color: #ffffff;
  border-radius: 0.35rem;
  width: 100%;
  overflow: hidden;
}

/* 弹窗内容区 */
.modal-content {
  padding: 1rem;
  text-align: center;
}

.modal-content .message {
  font-size: 0.4rem;
  color: #000000;
  font-weight: 500;
}

/* 弹窗按钮区 */
.modal-footer {
  border-top: 1px solid #f0f0f0;
}

.modal-footer .confirm-btn {
  width: 100%;
  padding: 0.2rem;
  border: none;
  background-color: #ffffff;
  color: #007aff;
  font-size: 0.4rem;
  cursor: pointer;
}

.modal-footer .confirm-btn:active {
  background-color: #f5f5f5;
}